Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class ConstantPoolInfo.InterfaceMethodRefInfo

    java.lang.Object
      dioscuri.module.cpu32.ConstantPoolInfo
          dioscuri.module.cpu32.ConstantPoolInfo.MethodRefInfo
              dioscuri.module.cpu32.ConstantPoolInfo.InterfaceMethodRefInfo

Enclosing class:
  ConstantPoolInfo

    public static class ConstantPoolInfo.InterfaceMethodRefInfo

extends ConstantPoolInfo.MethodRefInfo

Nested Class Summary

Nested classes/interfaces inherited from class dioscuri.module.cpu32.ConstantPoolInfo
`ConstantPoolInfo.ClassInfo, ConstantPoolInfo.DoubleInfo, ConstantPoolInfo.FieldRefInfo, ConstantPoolInfo.FloatInfo, ConstantPoolInfo.IntegerInfo, ConstantPoolInfo.InterfaceMethodRefInfo, ConstantPoolInfo.LongInfo, ConstantPoolInfo.MethodRefInfo, ConstantPoolInfo.NameAndTypeInfo, ConstantPoolInfo.StringInfo, ConstantPoolInfo.Utf8Info`

Field Summary

Fields inherited from class dioscuri.module.cpu32.ConstantPoolInfo
`CLASS, DOUBLE, FIELDREF, FLOAT, INTEGER, INTERFACEMETHODREF, LONG, METHODREF, NAMEANDTYPE, STRING, UTF8`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getClassIndex()`
`int` | `getNameAndTypeIndex()`
`int` | `getTag()`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutputStream out)`

Methods inherited from class dioscuri.module.cpu32.ConstantPoolInfo
`construct`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getTag

    public int getTag()

  Overrides:
    `getTag` in class `ConstantPoolInfo.MethodRefInfo`
  Returns:
    -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ConstantPoolInfo.MethodRefInfo`

### getClassIndex

    public int getClassIndex()

### getNameAndTypeIndex

    public int getNameAndTypeIndex()

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Specified by:
    `write` in class `ConstantPoolInfo`
  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ConstantPoolInfo`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `ConstantPoolInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD